<template>
  <v-row
    
    :class="[
      { 'pl-5 pr-5': $vuetify.breakpoint.smAndDown },
      { 'pl-16 pr-16': $vuetify.breakpoint.mdAndUp },
      'pt-16 pb-16 pickforme'
    ]"
  >
    <v-col cols="12">
      <v-row v-if="currentPage == 1">
        <v-col cols="12" class="d-flex justify-center align-content-center text-center">
          <h1 class="font-syne-bold uppercase font-36">
            {{ $t('pickForMe.title') }}
          </h1>
        </v-col>

        <!-- GET STARTED BUTTON -->
        <v-col cols="12" class="text-center">
          <v-btn
            class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-8

                                            font-syne-bold
                                            br-15
                                        "
            color="badge"
            :disabled="isDisabledStart"
            @click="nextQuestion(2)"
          >
            {{ $t('buttons.getStarted') }}
          </v-btn>
        </v-col>

        <!-- HOW IT WORKS -->
        <v-col cols="12" class="text-center">
          <h4 class="font-syne-bold pointer" @click="goToPage(menus.HOWPICKFORMEWORKS.id)">
            {{ $t('pickForMe.howItWorks') }}
          </h4>
        </v-col>
      </v-row>

      <!-- PICK GENDER -->
      <v-row v-else-if="currentPage == 2">
        <v-col cols="12" class="text-center">
          <!-- TITLE -->
          <v-row>
            <v-col cols="12">
              <h1 class="font-syne-bold uppercase">
                {{ $t('pickForMe.pickGender') }}
              </h1>
            </v-col>
          </v-row>

          <!-- GENDER -->
          <v-row>
            <v-col cols="12" class="d-flex flex-row justify-center">
              <div class="text-center">
                <div
                  :class="[
                    { 'active': selectedGender == 1 },
                    'questionContainer br-15 white-bg mr-3 d-flex justify-center py-20 pointer']"
                  @click="selectGender(1)"
                >
                  <v-img :src="male" max-width="34" contain />
                </div>
                <p class="font-12 mt-2">
                  {{ $t('pickForMe.male') }}
                </p>
              </div>
              <div class="text-center">
                <div
                  :class="[
                    { 'active': selectedGender == 2 },
                    'questionContainer br-15 white-bg d-flex justify-center py-20 pointer']"
                  @click="selectGender(2)"
                >
                  <v-img :src="female" max-width="35" contain />
                </div>
                <p class="font-12 mt-2">
                  {{ $t('pickForMe.female') }}
                </p>
              </div>
            </v-col>
          </v-row>
		  
          <!-- BUTTONS -->
          <v-row>
            <v-col cols="12">
              <v-btn
                class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
											border-red
                                        "
        
                @click="nextQuestion(1)"
              >
                {{ $t('buttons.backBtn') }}
              </v-btn>
              <v-btn
                class="
                                            mt-2
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
                color="badge"
                :disabled="isDisabledGender"
                @click="nextQuestion(3)"
              >
                {{ $t('buttons.nextBtn') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <!-- PICK SIZE -->
      <v-row v-else-if="currentPage == 3">
        <v-col cols="12" class="text-center">
          <!-- TITLE -->
          <v-row>
            <v-col cols="12">
              <h1 class="font-syne-bold uppercase">
                {{ $t('pickForMe.pickSize') }}
              </h1>
            </v-col>
          </v-row>

          <!-- SIZE -->
          <v-row>
            <v-col cols="12" class="d-flex flex-row justify-center">
              <v-row class="d-flex flex-row justify-center">
                <div
                  :class="[
                    { 'active': selectedSize.includes('XS') },
                    'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                  @click="selectSize('XS')"
                >
                  <h1 class="text-black">
                    XS
                  </h1>
                </div>
                <div
                  :class="[
                    { 'active': selectedSize.includes('S') },
                    'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                  @click="selectSize('S')"
                >
                  <h1 class="text-black">
                    S
                  </h1>
                </div>
                <div
                  :class="[
                    { 'active': selectedSize.includes('M') },
                    'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                  @click="selectSize('M')"
                >
                  <h1 class="text-black">
                    M
                  </h1>
                </div>
                <div
                  :class="[
                    { 'active': selectedSize.includes('L') },
                    'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                  @click="selectSize('L')"
                >
                  <h1 class="text-black">
                    L
                  </h1>
                </div>
                <div
                  :class="[
                    { 'active': selectedSize.includes('XL') },
                    'questionContainer br-15 mt-2 white-bg pa-30 pointer']"
                  @click="selectSize('XL')"
                >
                  <h1 class="text-black">
                    XL
                  </h1>
                </div>
              </v-row>
            </v-col>
          </v-row>
		  
          <!-- BUTTONS -->
          <v-row>
            <v-col cols="12">
              <v-btn
                class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
											border-red
                                        "
        
                @click="nextQuestion(2)"
              >
                {{ $t('buttons.backBtn') }}
              </v-btn>
              <v-btn
                class="
                                            mt-2
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
                color="badge"
                :disabled="isDisabledSize"
                @click="nextQuestion(4)"
              >
                {{ $t('buttons.nextBtn') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <!-- PICK FIT -->
      <v-row v-else-if="currentPage == 4">
        <v-col cols="12" class="text-center">
          <!-- TITLE -->
          <v-row>
            <v-col cols="12">
              <h1 class="font-syne-bold uppercase">
                {{ $t('pickForMe.pickFit') }}
              </h1>
            </v-col>
          </v-row>

          <!-- FIT -->
          <v-row>
            <v-col cols="12" class="d-flex flex-row justify-center">
              <div class="text-center mr-3">
                <div
                  :class="[
                    { 'active': selectedFit.includes('oversized') },
                    'questionContainer br-15 white-bg pa-30 d-flex justify-center pointer']"
                  @click="selectFit('oversized')"
                >
                  <v-img :src="oversized" max-width="50" contain />
                </div>
                
                <p class="font-12 mt-2">
                  {{ $t('pickForMe.oversized') }}
                </p>
              </div>

              <div class="text-center">
                <div
                  :class="[
                    { 'active': selectedFit.includes('truetosize') },
                    'questionContainer br-15 white-bg d-flex justify-center pa-30 pointer']"
                  @click="selectFit('truetosize')"
                >
                  <v-img :src="truetosize" max-width="50" contain />
                </div>
                <p class="font-12 mt-2">
                  {{ $t('pickForMe.truetosize') }}
                </p>
              </div>
            </v-col>
          </v-row>
		  
          <!-- BUTTONS -->
          <v-row>
            <v-col cols="12">
              <v-btn
                class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
											border-red
                                        "
        
                @click="nextQuestion(3)"
              >
                {{ $t('buttons.backBtn') }}
              </v-btn>
              <v-btn
                class="
                                            mt-2
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
                color="badge"
                :disabled="isDisabledFit"
                @click="nextQuestion(5)"
              >
                {{ $t('buttons.nextBtn') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <!-- PICK COLOR -->
      <v-row v-else-if="currentPage == 5">
        <v-col cols="12" class="text-center">
          <!-- TITLE -->
          <v-row>
            <v-col cols="12">
              <h1 class="font-syne-bold uppercase">
                {{ $t('pickForMe.pickColor') }}
              </h1>
            </v-col>
          </v-row>

          <!-- COLOR -->
          <v-row class="pl-5">
            <v-col cols="12" class="d-flex flex-row justify-center">
              <v-row class="d-flex flex-row justify-center">
                <div class="text-center mr-3">
                  <div
                    :class="[
                      { 'active': selectedColor.includes('dark') },
                      'questionContainer br-15 white-bg pa-30 d-flex justify-center pointer']"
                    @click="selectColor('dark')"
                  >
                    <v-img :src="dark" contain />
                  </div>
                
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.dark') }}
                  </p>
                </div>

                <div class="text-center mr-3">
                  <div
                    :class="[
                      { 'active': selectedColor.includes('light') },
                      'questionContainer br-15 white-bg d-flex justify-center pa-30 pointer']"
                    @click="selectColor('light')"
                  >
                    <v-img :src="light" contain />
                  </div>
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.light') }}
                  </p>
                </div>

                <div class="text-center">
                  <div
                    :class="[
                      { 'active': selectedColor.includes('surprise') },
                      'questionContainer br-15 white-bg d-flex justify-center pa-30 pointer']"
                    @click="selectColor('surprise')"
                  >
                    <v-img :src="surprise" contain />
                  </div>
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.surprise') }}
                  </p>
                </div>
              </v-row>
            </v-col>
          </v-row>
		  
          <!-- BUTTONS -->
          <v-row>
            <v-col cols="12">
              <v-btn
                class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
											border-red
                                        "
        
                @click="nextQuestion(4)"
              >
                {{ $t('buttons.backBtn') }}
              </v-btn>
              <v-btn
                class="
                                            mt-2
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
                color="badge"
                :disabled="isDisabledColor"
                @click="nextQuestion(6)"
              >
                {{ $t('buttons.nextBtn') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <!-- PICK OCCASION -->
      <v-row v-else-if="currentPage == 6">
        <v-col cols="12" class="text-center">
          <!-- TITLE -->
          <v-row>
            <v-col cols="12">
              <h1 class="font-syne-bold uppercase">
                {{ $t('pickForMe.pickOccasion') }}
              </h1>
            </v-col>
          </v-row>

          <!-- OCCASION -->
          <v-row>
            <v-col cols="12" class="d-flex flex-row justify-center">
              <v-row class="d-flex flex-row justify-center">
                <div class="text-center mr-3">
                  <div
                    :class="[
                      { 'active': selectedOccasion.includes('casual') },
                      'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer d-flex justify-center']"
                    @click="selectOccasion('casual')"
                  >
                    <v-img :src="casual" max-width="60" contain />
                  </div>
                
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.casual') }}
                  </p>
                </div>
                <div class="text-center mr-3">
                  <div
                    :class="[
                      { 'active': selectedOccasion.includes('nightOut') },
                      'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                    @click="selectOccasion('nightOut')"
                  >
                    <v-img :src="nightOut" max-width="60" contain />
                  </div>
                
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.nightOut') }}
                  </p>
                </div>
                <div class="text-center mr-3">
                  <div
                    :class="[
                      { 'active': selectedOccasion.includes('event') },
                      'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                    @click="selectOccasion('event')"
                  >
                    <v-img :src="event" max-width="60" contain />
                  </div>
                
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.event') }}
                  </p>
                </div>
                <div class="text-center">
                  <div
                    :class="[
                      { 'active': selectedOccasion.includes('surprise') },
                      'questionContainer br-15 mr-3 mt-2 white-bg pa-30 pointer']"
                    @click="selectOccasion('surprise')"
                  >
                    <v-img :src="surprise" max-width="60" contain />
                  </div>
                
                  <p class="font-12 mt-2">
                    {{ $t('pickForMe.surprise') }}
                  </p>
                </div>
              </v-row>
            </v-col>
          </v-row>
		  
          <!-- BUTTONS -->
          <v-row>
            <v-col cols="12">
              <v-btn
                class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
											border-red
                                        "
        
                @click="nextQuestion(5)"
              >
                {{ $t('buttons.backBtn') }}
              </v-btn>
              <v-btn
                class="
                                            mt-2
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
                color="badge"
                :disabled="isDisabledOccasion"
                @click="nextQuestion(7)"
              >
                {{ $t('buttons.nextBtn') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <!-- PICK BRAND -->
      <v-row v-else-if="currentPage == 7">
        <v-col cols="12" class="text-center">
          <!-- TITLE -->
          <v-row>
            <v-col cols="12">
              <h1 class="font-syne-bold uppercase">
                {{ $t('pickForMe.pickBrand') }}
              </h1>
            </v-col>
          </v-row>

          <!-- BRAND -->
          <v-row class="d-flex justify-center align-center">
            <v-col md="5" cols="12">
              <v-row class="d-flex flex-row justify-center">
                <div v-for="brand,index in brandList" :key="'brand-'+index" class="text-center mr-3">
                  <div
                    :class="[
                      { 'active': selectedBrand.includes(brand.name) },
                      'questionContainer br-15 mr-3 mt-2 white-bg pa-20 pointer d-flex justify-center']"
                    @click="selectBrand(brand.name)"
                  >
                    <v-img v-if="brand.name == 'random pick'" max-width="45" :src="brand.logo" contain />
                    <v-img v-else :src="brand.logo" contain />
                  </div>
                
                  <p class="font-12 mt-2">
                    {{ brand.name }}
                  </p>
                </div>
              </v-row>
            </v-col>
          </v-row>
		  
          <!-- BUTTONS -->
          <v-row>
            <v-col cols="12">
              <v-btn
                class="
                                            mt-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
											border-red
                                        "
        
                @click="nextQuestion(6)"
              >
                {{ $t('buttons.backBtn') }}
              </v-btn>
              <v-btn
                class="
                                            mt-2
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
                color="badge"
                :disabled="isDisabledSubmit"
                @click="submit()"
              >
                {{ $t('buttons.submitBtn') }}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <!-- THANK YOU PAGE -->
      <v-row v-else-if="currentPage == 8">
        <v-col cols="12">
          <v-row>
            <v-col class="d-flex flex-row justify-center">
              <v-img :src="hanger" contain max-width="91" />
            </v-col>
          </v-row>
          <v-row class="d-flex flex-row justify-center mt-5">
            <h1 class="font-syne-bold uppercase">
              {{ $t('pickForMe.thankYouMsg') }}
            </h1>
          </v-row>
          <v-row class="d-flex flex-row justify-center mt-10">
            <v-btn
              class="
                                            mt-10
											ml-2
                                            lowercase
                                            br-0
                                            pa-5
                                            font-syne-bold
                                            br-15
                                        "
              color="badge"
              :disabled="isDisabledSubmit"
              @click="currentPage = 1"
            >
              {{ $t('buttons.backHome') }}
            </v-btn>
          </v-row>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'

@Component<any>({
	middleware: ['authenticate'],
	head () {
		return {
		title: this.$t('common.pickForMe')
		}
	},
	computed: mapGetters({
		menus: 'menu/getMenu'
	})
})

export default class PickForMe extends Vue {
    // Data
    menus!: any
    currentPage: number = 1
    male: string = require('~/assets/images/male.png')
    female: string = require('~/assets/images/female.png')
    oversized: string = require('~/assets/images/oversized.png')
    truetosize: string = require('~/assets/images/truetosize.png')
    dark: string = require('~/assets/images/dark.png')
    light: string = require('~/assets/images/light.png')
    surprise: string = require('~/assets/images/surprise.png')
    casual: string = require('~/assets/images/casual.png')
    nightOut: string = require('~/assets/images/nightOut.png')
    event: string = require('~/assets/images/event.png')
    work: string = require('~/assets/images/work.png')
    hanger: string = require('~/assets/images/hanger.png')
    brandList: any = [
      {
        name: 'random pick',
        logo: require('~/assets/images/brands/random.png')
      },
      {
        name: 'anti social social club',
        logo: require('~/assets/images/brands/assc.png')
      },
      {
        name: 'drew',
        logo: require('~/assets/images/brands/drew.png')
      },
      {
        name: 'supreme',
        logo: require('~/assets/images/brands/supreme.png')
      },
      {
        name: 'off-white',
        logo: require('~/assets/images/brands/offwhite.png')
      },
      {
        name: 'vetements',
        logo: require('~/assets/images/brands/vetements.png')
      },
      {
        name: 'a bathing ape',
        logo: require('~/assets/images/brands/bape.png')
      },
      {
        name: 'palm angels',
        logo: require('~/assets/images/brands/palmangels.png')
      },
      {
        name: 'dior',
        logo: require('~/assets/images/brands/dior.png')
      },
      {
        name: 'vibrate',
        logo: require('~/assets/images/brands/vibrate.png')
      },
      {
        name: 'moschino',
        logo: require('~/assets/images/brands/moschino.png')
      },
      {
        name: 'thrasher',
        logo: require('~/assets/images/brands/thrasher.png')
      },
      {
        name: 'fear of god',
        logo: require('~/assets/images/brands/fog.png')
      },
      {
        name: 'pestle and mortar clothing',
        logo: require('~/assets/images/brands/pmc.png')
      },
      {
        name: 'supercrew',
        logo: require('~/assets/images/brands/supercrew.png')
      }
    ]

    selectedGender: number = 0
    selectedSize: any = []
    selectedFit: any = []
    selectedColor: any = []
    selectedOccasion: any = []
    selectedBrand: any = []
    isDisabledGender: boolean = true
    isDisabledSize: boolean = true
    isDisabledFit: boolean = true
    isDisabledColor: boolean = true
    isDisabledOccasion: boolean = true
    isDisabledSubmit: boolean = true
    isDisabledStart: boolean = false

	// Methods
	goToPage (id: Number) {
		switch (id) {
			case this.menus.PICKFORME.id:
			this.$router.push(this.menus.PICKFORME.path)
			break

			case this.menus.HOWPICKFORMEWORKS.id:
			this.$router.push(this.menus.HOWPICKFORMEWORKS.path)
			break

			default:
			this.$router.push('/')
			break
		}
	}

	nextQuestion(number: number) {
    if(number === 2) {
      this.checkDuplicateSubmit(number);
    } else {
		  this.currentPage = number;
    }
	}

	selectGender(gender:number) {
		this.selectedGender = gender;
		this.isDisabledGender = false;
	}

	selectSize(size:string) {
		if(this.selectedSize.includes(size)) {
			const index = this.selectedSize.findIndex((element) => element === size)
			this.selectedSize.splice(index, 1)
		} else if(this.selectedSize.length < 2) {
			this.selectedSize.push(size);
      }
		if(this.selectedSize.length > 0) {
			this.isDisabledSize = false;
		} else {
			this.isDisabledSize = true;
		}
	}

	selectFit(fit:string) {
		if(this.selectedFit.includes(fit)) {
			const index = this.selectedSize.findIndex((element) => element === fit)
			this.selectedFit.splice(index, 1)
		} else {
			this.selectedFit.push(fit);
		}
		if(this.selectedFit.length > 0) {
			this.isDisabledFit = false;
		} else {
			this.isDisabledFit = true;
		}
	}

	selectColor(color:string) {
		if(this.selectedColor.includes(color)) {
			const index = this.selectedColor.findIndex((element) => element === color)
			this.selectedColor.splice(index, 1)
		}

    // if color is light or dark
    else if(color !== 'surprise' && !this.selectedColor.includes('surprise')) {
        this.selectedColor.push(color);
    } 
    
    // if color is surprise
    else if(color === 'surprise' && (!this.selectedColor.includes('light') && !this.selectedColor.includes('dark') )) {
      this.selectedColor.push(color);
    }

		if(this.selectedColor.length > 0) {
			this.isDisabledColor = false;
		} else {
			this.isDisabledColor = true;
		}
	}

	selectOccasion(occasion:string) {
		if(this.selectedOccasion.includes(occasion)) {
			const index = this.selectedOccasion.findIndex((element) => element === occasion)
			this.selectedOccasion.splice(index, 1)
		} 
    
    // if occasion is casual, nightout, event
    else if(occasion !== 'surprise' && !this.selectedOccasion.includes('surprise')) {
        this.selectedOccasion.push(occasion);
    } 
    
    // if occasion is surprise
    else if(occasion === 'surprise' && (!this.selectedOccasion.includes('casual') && !this.selectedOccasion.includes('nightOut') && !this.selectedOccasion.includes('event') )) {
      this.selectedOccasion.push(occasion);
    }

		if(this.selectedOccasion.length > 0) {
			this.isDisabledOccasion = false;
		} else {
			this.isDisabledOccasion = true;
		}
	}

	selectBrand(brand:string) {
		if(this.selectedBrand.includes(brand)) {
			const index = this.selectedBrand.findIndex((element) => element === brand)
			this.selectedBrand.splice(index, 1)
		} 
    
    // if brand is not random
    else if(brand !== 'random pick' && !this.selectedBrand.includes('random pick')) {
        if(this.selectedBrand.length < 5) {
          this.selectedBrand.push(brand);
        }
    } 
    
    // if brand is random
    else if(brand === 'random pick' && (!this.selectedBrand.includes('anti social social club') && !this.selectedBrand.includes('drew') && !this.selectedBrand.includes('supreme') && !this.selectedBrand.includes('off-white') && !this.selectedBrand.includes('vetements') && !this.selectedBrand.includes('a bathing ape') && !this.selectedBrand.includes('palm angels') && !this.selectedBrand.includes('dior') && !this.selectedBrand.includes('vibrate') && !this.selectedBrand.includes('moschino') && !this.selectedBrand.includes('thrasher') && !this.selectedBrand.includes('fear of god') && !this.selectedBrand.includes('pestle and mortar clothing') && !this.selectedBrand.includes('supercrew') )) {
      this.selectedBrand.push(brand);
    }

		if(this.selectedBrand.length > 0) {
			this.isDisabledSubmit = false;
		} else {
			this.isDisabledSubmit = true;
		}
	}

  checkDuplicateSubmit(number: number) {
    const self = this;
    this.isDisabledStart = true;
    this.$api.pickforme
            .status()
            .then((response: any) => {
                this.isDisabledStart = false

                // Redirect
                if(!response.data.status) {
                  self.currentPage = number
                } else {
                  // Display snackbar
                  const val = {
                      text: 'Your request is being processed. Kindly wait for our stylist to contact you.',
                      color: 'red',
                      icon: 'mdi-close-circle',
                  }

                  this.$store.dispatch('snackbar/displaySnackBar', val)
                }
            })
            .catch((error) => {
				
                if (error.response.data.status === 401) {
                    return false
                }

                // Get errors object
                // const errors = error.response.data.errors
				
				        // Display snackbar
                const val = {
                    text: error.response.data.message,
                    color: 'red',
                    icon: 'mdi-close-circle',
                }

                this.$store.dispatch('snackbar/displaySnackBar', val)


                // Reopen button
                this.isDisabledStart = false
                    return false;
            })

  }

	submit() {
        this.isDisabledSubmit = true
        this.$api.pickforme
            .create(
                this.selectedGender,
                this.selectedSize,
				this.selectedOccasion,
                this.selectedFit,
                this.selectedBrand,
                this.selectedColor,
            )
            .then(() => {
                this.isDisabledSubmit = false

                // Redirect
                this.currentPage = 8;
            })
            .catch((error) => {
				
                if (error.response.data.status === 401) {
                    return
                }

                // Get errors object
                // const errors = error.response.data.errors
				
				// Display snackbar
                const val = {
                    text: error.response.data.message,
                    color: 'red',
                    icon: 'mdi-close-circle',
                }

                this.$store.dispatch('snackbar/displaySnackBar', val)


                // Reopen button
                this.isDisabledSubmit = false
            })
    }
}
</script>
